aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-db/APKBUILD
diff options
context:
space:
mode:
authorLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:33 +0000
committerLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:33 +0000
commit11c447b4474d19315c8437e2ce454a67808fd26e (patch)
tree760f60a4e41525d06957fc4fdf23d1425fb68095 /testing/perl-db/APKBUILD
parent80439fe6acbb32ebda09c3bcf0318f47298b1a52 (diff)
downloadaports-11c447b4474d19315c8437e2ce454a67808fd26e.tar.gz
aports-11c447b4474d19315c8437e2ce454a67808fd26e.tar.bz2
aports-11c447b4474d19315c8437e2ce454a67808fd26e.tar.xz
testing/perl-db: new aport
Diffstat (limited to 'testing/perl-db/APKBUILD')
-rw-r--r--testing/perl-db/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/testing/perl-db/APKBUILD b/testing/perl-db/APKBUILD
new file mode 100644
index 0000000000..f2506c0947
--- /dev/null
+++ b/testing/perl-db/APKBUILD
@@ -0,0 +1,24 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-db
+_realname=BerkeleyDB
+pkgver=0.38
+pkgrel=0
+pkgdesc="Perl extension for Berkeley DB version 2, 3 or 4"
+url="http://search.cpan.org/~pmqs/BerkeleyDB-0.38/"
+license="GPL PerlArtistic"
+depends="perl db"
+makedepends="perl-dev db-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="33a0c1a9d566a3f5fc71601a165d8335 BerkeleyDB-0.38.tar.gz"